# Update legacy kubernetes chaos infras

Update legacy kubernetes chaos infras

Endpoint: PUT /gateway/chaos/manager/api/rest/kubernetes/infra/{id}
Version: 1.0
Security: 

## Path parameters:

  - `id` (string, required)
    Kubernetes Chaos Infra ID

## Query parameters:

  - `accountIdentifier` (string, required)
    account id that want to access the resource

  - `organizationIdentifier` (string, required)
    organization id that want to access the resource

  - `projectIdentifier` (string, required)
    project id that want to access the resource

## Request fields (application/json):

  - `description` (string)
    Description of the infra

  - `environmentID` (string)
    Environment ID for the infra

  - `infraID` (string)
    ID of the infrastructure to be updated

  - `name` (string)
    Name of the infra

  - `tags` (array)
    Tags of the infra

## Response 200 fields (application/json):

  - `correlationId` (string)

  - `message` (string)

## Response 400 fields (application/json):

  - `code` (string)
    Enum: "PIPELINE_NOT_FOUND"

  - `description` (string)

  - `message` (string)


